Package org.silverpeas.components.yellowpages

## Class GroupEventListener

- java.lang.Object
- - org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.user.notification.GroupEvent>
  - - org.silverpeas.components.yellowpages.GroupEventListener

- All Implemented Interfaces:
    `org.silverpeas.core.notification.system.ResourceEventListener<org.silverpeas.core.admin.user.notification.GroupEvent>`

      @Bean
      public class GroupEventListener
      extends org.silverpeas.core.notification.system.CDIResourceEventListener<org.silverpeas.core.admin.user.notification.GroupEvent>

  A listener of events coming from the changes operating on the user groups.
  Author:
    miguel

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupEventListener()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onDeletion​(org.silverpeas.core.admin.user.notification.GroupEvent event)` | An event on the deletion of a group has be listened.

    - ### Methods inherited from class org.silverpeas.core.notification.system.CDIResourceEventListener

      `onEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.silverpeas.core.notification.system.ResourceEventListener

      `dispatchEvent, isEnabled, onCreation, onMove, onRecovery, onRemoving, onUnlock, onUpdate`

- - ### Constructor Detail

    - #### GroupEventListener

          public GroupEventListener()

  - ### Method Detail

    - #### onDeletion

          public void onDeletion​(org.silverpeas.core.admin.user.notification.GroupEvent event)
                          throws Exception

      An event on the deletion of a group has be listened. A deleted group is then nonexistent and nonrecoverable. In that case, as a group can be referred by a yellowpages instance (as a group of inner contacts), take caution to remove also this group from the yellowpages instance.
      Parameters:
        `event` - the event on the deletion of a group.
      Throws:
        `Exception` - if an error occurs while treating the event.